<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ErrorModuleHandler Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d0f/class_error_module_handler.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ErrorModuleHandler Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>The error handler itself, for managing and distributing errors to modules Manages the <a class="el" href="../../da/ddf/class_error_handler_module.html" title="Definition and API of an ErrorHandlerModule - Do not insert any logic here! (as this class is not mod...">ErrorHandlerModule</a> instances inserted in Init. API comes with several functions to Create, Throw and extract data from error codes. The format used is an int which is made up of two shorts, one that holds the category and one that holds the code. Therefore when looking at an error code, it is much easier to identify when looking at the hex value.  
 <a href="../../d5/d0f/class_error_module_handler.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aeaaf72dccb900c9732f746f3dcfd28d0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#aeaaf72dccb900c9732f746f3dcfd28d0">SafeAddModule</a> (notnull <a class="el" href="../../da/ddf/class_error_handler_module.html">ErrorHandlerModule</a> errorModule)</td></tr>
<tr class="memdesc:aeaaf72dccb900c9732f746f3dcfd28d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wrapper for AddModule to give feedback whether it succeeded or not.  <a href="../../d5/d0f/class_error_module_handler.html#aeaaf72dccb900c9732f746f3dcfd28d0">More...</a><br /></td></tr>
<tr class="separator:aeaaf72dccb900c9732f746f3dcfd28d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1530f72796058d9ee5676474028141e9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#a1530f72796058d9ee5676474028141e9">SafeRemoveModule</a> (notnull <a class="el" href="../../da/ddf/class_error_handler_module.html">ErrorHandlerModule</a> errorModule)</td></tr>
<tr class="memdesc:a1530f72796058d9ee5676474028141e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wrapper for RemoveModule to give feedback whether it succeeded or not.  <a href="../../d5/d0f/class_error_module_handler.html#a1530f72796058d9ee5676474028141e9">More...</a><br /></td></tr>
<tr class="separator:a1530f72796058d9ee5676474028141e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab195559d64107c015565835821876eb6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#ab195559d64107c015565835821876eb6">SafeRemoveModule</a> (<a class="el" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a> category)</td></tr>
<tr class="memdesc:ab195559d64107c015565835821876eb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wrapper for RemoveModule to give feedback whether it succeeded or not.  <a href="../../d5/d0f/class_error_module_handler.html#ab195559d64107c015565835821876eb6">More...</a><br /></td></tr>
<tr class="separator:ab195559d64107c015565835821876eb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fc58451e5b54ce4eaf19ad9c288a78d"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#a1fc58451e5b54ce4eaf19ad9c288a78d">Init</a> ()</td></tr>
<tr class="memdesc:a1fc58451e5b54ce4eaf19ad9c288a78d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets called shortly after creation of <a class="el" href="../../d5/d0f/class_error_module_handler.html" title="The error handler itself, for managing and distributing errors to modules Manages the ErrorHandlerMod...">ErrorModuleHandler</a>.  <a href="../../d5/d0f/class_error_module_handler.html#a1fc58451e5b54ce4eaf19ad9c288a78d">More...</a><br /></td></tr>
<tr class="separator:a1fc58451e5b54ce4eaf19ad9c288a78d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c836fff2f9cfea9a0950dfb0897602e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#a9c836fff2f9cfea9a0950dfb0897602e">OnEvent</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga8bb92c7c1a97bd358a549857dc2fe53c">EventType</a> eventTypeId, <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> params)</td></tr>
<tr class="memdesc:a9c836fff2f9cfea9a0950dfb0897602e"><td class="mdescLeft">&#160;</td><td class="mdescRight">is called by DayZGame to pass Events.  <a href="../../d5/d0f/class_error_module_handler.html#a9c836fff2f9cfea9a0950dfb0897602e">More...</a><br /></td></tr>
<tr class="separator:a9c836fff2f9cfea9a0950dfb0897602e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:aa99dfe677063c4a2aaeb55b743a06082"><td class="memItemLeft" align="right" valign="top">static proto <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#aa99dfe677063c4a2aaeb55b743a06082">ThrowError</a> (<a class="el" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a> category, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> code, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> additionalInfo=&quot;&quot;)</td></tr>
<tr class="memdesc:aa99dfe677063c4a2aaeb55b743a06082"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates and throws the error code, sending it to the handler of the category.  <a href="../../d5/d0f/class_error_module_handler.html#aa99dfe677063c4a2aaeb55b743a06082">More...</a><br /></td></tr>
<tr class="separator:aa99dfe677063c4a2aaeb55b743a06082"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0347b2450e954120e90e12065e5951de"><td class="memItemLeft" align="right" valign="top">static proto <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#a0347b2450e954120e90e12065e5951de">ThrowErrorCode</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> errorCode, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> additionalInfo=&quot;&quot;)</td></tr>
<tr class="memdesc:a0347b2450e954120e90e12065e5951de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Throws the error code and sends it to the handler of the category.  <a href="../../d5/d0f/class_error_module_handler.html#a0347b2450e954120e90e12065e5951de">More...</a><br /></td></tr>
<tr class="separator:a0347b2450e954120e90e12065e5951de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e13465cd61d3d7a452fbe7d4dbfcd53"><td class="memItemLeft" align="right" valign="top">static proto <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#a2e13465cd61d3d7a452fbe7d4dbfcd53">CreateError</a> (<a class="el" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a> category, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> code)</td></tr>
<tr class="memdesc:a2e13465cd61d3d7a452fbe7d4dbfcd53"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates full error code.  <a href="../../d5/d0f/class_error_module_handler.html#a2e13465cd61d3d7a452fbe7d4dbfcd53">More...</a><br /></td></tr>
<tr class="separator:a2e13465cd61d3d7a452fbe7d4dbfcd53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8255e1ab154c23b5e7c58f922fc25856"><td class="memItemLeft" align="right" valign="top">static proto <a class="el" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#a8255e1ab154c23b5e7c58f922fc25856">GetCategoryFromError</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> errorCode)</td></tr>
<tr class="memdesc:a8255e1ab154c23b5e7c58f922fc25856"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the category the error was thrown from.  <a href="../../d5/d0f/class_error_module_handler.html#a8255e1ab154c23b5e7c58f922fc25856">More...</a><br /></td></tr>
<tr class="separator:a8255e1ab154c23b5e7c58f922fc25856"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58b162d636b08d31ce86e2ede3bee387"><td class="memItemLeft" align="right" valign="top">static proto <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#a58b162d636b08d31ce86e2ede3bee387">GetCodeFromError</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> errorCode)</td></tr>
<tr class="memdesc:a58b162d636b08d31ce86e2ede3bee387"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the code of the error.  <a href="../../d5/d0f/class_error_module_handler.html#a58b162d636b08d31ce86e2ede3bee387">More...</a><br /></td></tr>
<tr class="separator:a58b162d636b08d31ce86e2ede3bee387"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9d453621ec29ec98463c58b0fd8ba45"><td class="memItemLeft" align="right" valign="top">static proto owned <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#ac9d453621ec29ec98463c58b0fd8ba45">GetErrorHex</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> errorCode)</td></tr>
<tr class="memdesc:ac9d453621ec29ec98463c58b0fd8ba45"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a formatted string of the error code.  <a href="../../d5/d0f/class_error_module_handler.html#ac9d453621ec29ec98463c58b0fd8ba45">More...</a><br /></td></tr>
<tr class="separator:ac9d453621ec29ec98463c58b0fd8ba45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a869ee220bda5c45f3649ce63927bc664"><td class="memItemLeft" align="right" valign="top">static proto <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#a869ee220bda5c45f3649ce63927bc664">AddModule</a> (<a class="el" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a> category, notnull <a class="el" href="../../da/ddf/class_error_handler_module.html">ErrorHandlerModule</a> errorModule)</td></tr>
<tr class="memdesc:a869ee220bda5c45f3649ce63927bc664"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a module handler to the <a class="el" href="../../d5/d0f/class_error_module_handler.html" title="The error handler itself, for managing and distributing errors to modules Manages the ErrorHandlerMod...">ErrorModuleHandler</a>.  <a href="../../d5/d0f/class_error_module_handler.html#a869ee220bda5c45f3649ce63927bc664">More...</a><br /></td></tr>
<tr class="separator:a869ee220bda5c45f3649ce63927bc664"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf6c1905db38fe2b65071200770db8fc"><td class="memItemLeft" align="right" valign="top">static proto <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#adf6c1905db38fe2b65071200770db8fc">RemoveModule</a> (<a class="el" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a> category)</td></tr>
<tr class="memdesc:adf6c1905db38fe2b65071200770db8fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes a module handler from the <a class="el" href="../../d5/d0f/class_error_module_handler.html" title="The error handler itself, for managing and distributing errors to modules Manages the ErrorHandlerMod...">ErrorModuleHandler</a>.  <a href="../../d5/d0f/class_error_module_handler.html#adf6c1905db38fe2b65071200770db8fc">More...</a><br /></td></tr>
<tr class="separator:adf6c1905db38fe2b65071200770db8fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a440e9ab4e85106d48b8e34e519aeba06"><td class="memItemLeft" align="right" valign="top">static proto <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#a440e9ab4e85106d48b8e34e519aeba06">GetClientMessage</a> (<a class="el" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a> category, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> code, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> additionalInfo=&quot;&quot;)</td></tr>
<tr class="memdesc:a440e9ab4e85106d48b8e34e519aeba06"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the Client Message for specified error.  <a href="../../d5/d0f/class_error_module_handler.html#a440e9ab4e85106d48b8e34e519aeba06">More...</a><br /></td></tr>
<tr class="separator:a440e9ab4e85106d48b8e34e519aeba06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80f0a503f6164c2741682c9a3dfa9732"><td class="memItemLeft" align="right" valign="top">static proto <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#a80f0a503f6164c2741682c9a3dfa9732">GetClientMessageByCode</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> errorCode, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> additionalInfo=&quot;&quot;)</td></tr>
<tr class="memdesc:a80f0a503f6164c2741682c9a3dfa9732"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the Client Message for specified error.  <a href="../../d5/d0f/class_error_module_handler.html#a80f0a503f6164c2741682c9a3dfa9732">More...</a><br /></td></tr>
<tr class="separator:a80f0a503f6164c2741682c9a3dfa9732"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bbc5bc4692fe15e893c8ab17204e412"><td class="memItemLeft" align="right" valign="top">static proto <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#a7bbc5bc4692fe15e893c8ab17204e412">GetLastClientMessage</a> (<a class="el" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a> category, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> code)</td></tr>
<tr class="memdesc:a7bbc5bc4692fe15e893c8ab17204e412"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the Client Message for specified error, while attempting to restore information on the most recent error.  <a href="../../d5/d0f/class_error_module_handler.html#a7bbc5bc4692fe15e893c8ab17204e412">More...</a><br /></td></tr>
<tr class="separator:a7bbc5bc4692fe15e893c8ab17204e412"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fb9bff2ed943331f913c8e7e424935c"><td class="memItemLeft" align="right" valign="top">static proto <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#a3fb9bff2ed943331f913c8e7e424935c">GetLastClientMessageByCode</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> errorCode)</td></tr>
<tr class="memdesc:a3fb9bff2ed943331f913c8e7e424935c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the Client Message for specified error, while attempting to restore information on the most recent error.  <a href="../../d5/d0f/class_error_module_handler.html#a3fb9bff2ed943331f913c8e7e424935c">More...</a><br /></td></tr>
<tr class="separator:a3fb9bff2ed943331f913c8e7e424935c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6564be66aef02448de3fec534d4d213f"><td class="memItemLeft" align="right" valign="top">static proto <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#a6564be66aef02448de3fec534d4d213f">GetServerMessage</a> (<a class="el" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a> category, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> code, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> additionalInfo=&quot;&quot;)</td></tr>
<tr class="memdesc:a6564be66aef02448de3fec534d4d213f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the Server Message for specified error.  <a href="../../d5/d0f/class_error_module_handler.html#a6564be66aef02448de3fec534d4d213f">More...</a><br /></td></tr>
<tr class="separator:a6564be66aef02448de3fec534d4d213f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac48be238664f3e98d400233a1ce3feea"><td class="memItemLeft" align="right" valign="top">static proto <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#ac48be238664f3e98d400233a1ce3feea">GetServerMessageByCode</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> errorCode, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> additionalInfo=&quot;&quot;)</td></tr>
<tr class="memdesc:ac48be238664f3e98d400233a1ce3feea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the Server Message for specified error.  <a href="../../d5/d0f/class_error_module_handler.html#ac48be238664f3e98d400233a1ce3feea">More...</a><br /></td></tr>
<tr class="separator:ac48be238664f3e98d400233a1ce3feea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0e2c0bc356695829dff4922d3334241"><td class="memItemLeft" align="right" valign="top">static proto <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#ac0e2c0bc356695829dff4922d3334241">GetLastServerMessage</a> (<a class="el" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a> category, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> code)</td></tr>
<tr class="memdesc:ac0e2c0bc356695829dff4922d3334241"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the Server Message for specified error, while attempting to restore information on the most recent error.  <a href="../../d5/d0f/class_error_module_handler.html#ac0e2c0bc356695829dff4922d3334241">More...</a><br /></td></tr>
<tr class="separator:ac0e2c0bc356695829dff4922d3334241"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adeec3b4e15af697df37989236b960511"><td class="memItemLeft" align="right" valign="top">static proto <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#adeec3b4e15af697df37989236b960511">GetLastServerMessageByCode</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> errorCode)</td></tr>
<tr class="memdesc:adeec3b4e15af697df37989236b960511"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the Server Message for specified error, while attempting to restore information on the most recent error.  <a href="../../d5/d0f/class_error_module_handler.html#adeec3b4e15af697df37989236b960511">More...</a><br /></td></tr>
<tr class="separator:adeec3b4e15af697df37989236b960511"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91269470d3b51a9b0bb803e13e56174c"><td class="memItemLeft" align="right" valign="top">static proto native <a class="el" href="../../d5/d0f/class_error_module_handler.html">ErrorModuleHandler</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#a91269470d3b51a9b0bb803e13e56174c">GetInstance</a> ()</td></tr>
<tr class="memdesc:a91269470d3b51a9b0bb803e13e56174c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the EMH Instance.  <a href="../../d5/d0f/class_error_module_handler.html#a91269470d3b51a9b0bb803e13e56174c">More...</a><br /></td></tr>
<tr class="separator:a91269470d3b51a9b0bb803e13e56174c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60e9aab8eff8310bb7d3675a5994334c"><td class="memItemLeft" align="right" valign="top">static proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d0f/class_error_module_handler.html#a60e9aab8eff8310bb7d3675a5994334c">GetErrorModules</a> (notnull out <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../da/ddf/class_error_handler_module.html">ErrorHandlerModule</a> &gt; errorModules)</td></tr>
<tr class="separator:a60e9aab8eff8310bb7d3675a5994334c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >The error handler itself, for managing and distributing errors to modules Manages the <a class="el" href="../../da/ddf/class_error_handler_module.html" title="Definition and API of an ErrorHandlerModule - Do not insert any logic here! (as this class is not mod...">ErrorHandlerModule</a> instances inserted in Init. API comes with several functions to Create, Throw and extract data from error codes. The format used is an int which is made up of two shorts, one that holds the category and one that holds the code. Therefore when looking at an error code, it is much easier to identify when looking at the hex value. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dde/_error_module_handler_8c_source.html#l00028">28</a> of file <a class="el" href="../../d5/dde/_error_module_handler_8c_source.html">ErrorModuleHandler.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a869ee220bda5c45f3649ce63927bc664" name="a869ee220bda5c45f3649ce63927bc664"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a869ee220bda5c45f3649ce63927bc664">&#9670;&#160;</a></span>AddModule()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto <a class="el" href="../../d9/db9/classbool.html">bool</a> ErrorModuleHandler::AddModule </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a>&#160;</td>
          <td class="paramname"><em>category</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../da/ddf/class_error_handler_module.html">ErrorHandlerModule</a>&#160;</td>
          <td class="paramname"><em>errorModule</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Adds a module handler to the <a class="el" href="../../d5/d0f/class_error_module_handler.html" title="The error handler itself, for managing and distributing errors to modules Manages the ErrorHandlerMod...">ErrorModuleHandler</a>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">category</td><td><code>ErrorCategory</code> Category the module is for </td></tr>
    <tr><td class="paramname">errorModule</td><td><code><a class="el" href="../../da/ddf/class_error_handler_module.html" title="Definition and API of an ErrorHandlerModule - Do not insert any logic here! (as this class is not mod...">ErrorHandlerModule</a></code> The class containing the information and codes for the category. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>bool</code> Whether the adding of the module was successful or not </dd></dl>

</div>
</div>
<a id="a2e13465cd61d3d7a452fbe7d4dbfcd53" name="a2e13465cd61d3d7a452fbe7d4dbfcd53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e13465cd61d3d7a452fbe7d4dbfcd53">&#9670;&#160;</a></span>CreateError()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ErrorModuleHandler::CreateError </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a>&#160;</td>
          <td class="paramname"><em>category</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>code</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates full error code. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">category</td><td><code>ErrorCategory</code> Category the error is thrown from </td></tr>
    <tr><td class="paramname">code</td><td><code>int</code> The code that the error belongs to inside the category between [-32768, 32767] </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>int</code> The full error code <div class="fragment"><div class="line"><span class="keywordtype">int</span> errorCode = <a class="code hl_class" href="../../d5/d0f/class_error_module_handler.html">ErrorModuleHandler</a>.<a class="code hl_function" href="../../d5/d0f/class_error_module_handler.html#a2e13465cd61d3d7a452fbe7d4dbfcd53">CreateError</a>( <a class="code hl_enumeration" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a>.ConnectErrorClient, -1 );</div>
<div class="line"><a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>( errorCode );</div>
<div class="line"> </div>
<div class="line">&gt;&gt; errorCode = 196607</div>
<div class="ttc" id="a_error_module_handler_8c_html_ae780bc06025224f6526b03ee3527469e"><div class="ttname"><a href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a></div><div class="ttdeci">ErrorCategory</div><div class="ttdoc">ErrorCategory - To decide what ErrorHandlerModule needs to be called and easily identify where it cam...</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dde/_error_module_handler_8c_source.html#l00004">ErrorModuleHandler.c:5</a></div></div>
<div class="ttc" id="aclass_error_module_handler_html"><div class="ttname"><a href="../../d5/d0f/class_error_module_handler.html">ErrorModuleHandler</a></div><div class="ttdoc">The error handler itself, for managing and distributing errors to modules Manages the ErrorHandlerMod...</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dde/_error_module_handler_8c_source.html#l00028">ErrorModuleHandler.c:29</a></div></div>
<div class="ttc" id="aclass_error_module_handler_html_a2e13465cd61d3d7a452fbe7d4dbfcd53"><div class="ttname"><a href="../../d5/d0f/class_error_module_handler.html#a2e13465cd61d3d7a452fbe7d4dbfcd53">ErrorModuleHandler::CreateError</a></div><div class="ttdeci">static proto int CreateError(ErrorCategory category, int code)</div><div class="ttdoc">Creates full error code.</div></div>
<div class="ttc" id="agroup___debug_html_gaaa9351d895a1f244a26fd635c378c536"><div class="ttname"><a href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a></div><div class="ttdeci">proto void Print(void var)</div><div class="ttdoc">Prints content of variable to console/log.</div></div>
</div><!-- fragment --> </dd></dl>

</div>
</div>
<a id="a8255e1ab154c23b5e7c58f922fc25856" name="a8255e1ab154c23b5e7c58f922fc25856"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8255e1ab154c23b5e7c58f922fc25856">&#9670;&#160;</a></span>GetCategoryFromError()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto <a class="el" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a> ErrorModuleHandler::GetCategoryFromError </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>errorCode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the category the error was thrown from. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">errorCode</td><td><code>int</code> The full error code </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>ErrorCategory</code> The ErrorCategory the error was thrown from <div class="fragment"><div class="line"><a class="code hl_enumeration" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a> category = <a class="code hl_class" href="../../d5/d0f/class_error_module_handler.html">ErrorModuleHandler</a>.<a class="code hl_function" href="../../d5/d0f/class_error_module_handler.html#a8255e1ab154c23b5e7c58f922fc25856">GetCategoryFromError</a>( 0x0002FFFF );</div>
<div class="line"><a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>( category );</div>
<div class="line"> </div>
<div class="line">&gt;&gt; category = 2</div>
<div class="ttc" id="aclass_error_module_handler_html_a8255e1ab154c23b5e7c58f922fc25856"><div class="ttname"><a href="../../d5/d0f/class_error_module_handler.html#a8255e1ab154c23b5e7c58f922fc25856">ErrorModuleHandler::GetCategoryFromError</a></div><div class="ttdeci">static proto ErrorCategory GetCategoryFromError(int errorCode)</div><div class="ttdoc">Returns the category the error was thrown from.</div></div>
</div><!-- fragment --> </dd></dl>

</div>
</div>
<a id="a440e9ab4e85106d48b8e34e519aeba06" name="a440e9ab4e85106d48b8e34e519aeba06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a440e9ab4e85106d48b8e34e519aeba06">&#9670;&#160;</a></span>GetClientMessage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ErrorModuleHandler::GetClientMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a>&#160;</td>
          <td class="paramname"><em>category</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>additionalInfo</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the Client Message for specified error. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">category</td><td><code>ErrorCategory</code> Category the error is thrown from </td></tr>
    <tr><td class="paramname">code</td><td><code>int</code> The code that the error belongs to inside the category between [-32768, 32767] </td></tr>
    <tr><td class="paramname">additionalInfo</td><td><code>string</code> Any additional info regarding the error, usually data </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>string</code> The message which would appear on Client </dd></dl>

</div>
</div>
<a id="a80f0a503f6164c2741682c9a3dfa9732" name="a80f0a503f6164c2741682c9a3dfa9732"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80f0a503f6164c2741682c9a3dfa9732">&#9670;&#160;</a></span>GetClientMessageByCode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ErrorModuleHandler::GetClientMessageByCode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>errorCode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>additionalInfo</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the Client Message for specified error. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">errorCode</td><td><code>int</code> The full error code </td></tr>
    <tr><td class="paramname">additionalInfo</td><td><code>string</code> Any additional info regarding the error, usually data </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>string</code> The message which would appear on Client </dd></dl>

</div>
</div>
<a id="a58b162d636b08d31ce86e2ede3bee387" name="a58b162d636b08d31ce86e2ede3bee387"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58b162d636b08d31ce86e2ede3bee387">&#9670;&#160;</a></span>GetCodeFromError()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ErrorModuleHandler::GetCodeFromError </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>errorCode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the code of the error. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">errorCode</td><td><code>int</code> The full error code </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>int</code> The code of the error <div class="fragment"><div class="line"><span class="keywordtype">int</span> code = <a class="code hl_class" href="../../d5/d0f/class_error_module_handler.html">ErrorModuleHandler</a>.<a class="code hl_function" href="../../d5/d0f/class_error_module_handler.html#a58b162d636b08d31ce86e2ede3bee387">GetCodeFromError</a>( 0x0002FFFF );</div>
<div class="line"><a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>( code );</div>
<div class="line"> </div>
<div class="line">&gt;&gt; code = -1</div>
<div class="ttc" id="aclass_error_module_handler_html_a58b162d636b08d31ce86e2ede3bee387"><div class="ttname"><a href="../../d5/d0f/class_error_module_handler.html#a58b162d636b08d31ce86e2ede3bee387">ErrorModuleHandler::GetCodeFromError</a></div><div class="ttdeci">static proto int GetCodeFromError(int errorCode)</div><div class="ttdoc">Returns the code of the error.</div></div>
</div><!-- fragment --> </dd></dl>

</div>
</div>
<a id="ac9d453621ec29ec98463c58b0fd8ba45" name="ac9d453621ec29ec98463c58b0fd8ba45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9d453621ec29ec98463c58b0fd8ba45">&#9670;&#160;</a></span>GetErrorHex()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto owned <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ErrorModuleHandler::GetErrorHex </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>errorCode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns a formatted string of the error code. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">errorCode</td><td><code>int</code> The full error code </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>string</code> A formatted string of the error code <div class="fragment"><div class="line"><span class="keywordtype">string</span> formattedCode = <a class="code hl_class" href="../../d5/d0f/class_error_module_handler.html">ErrorModuleHandler</a>.<a class="code hl_function" href="../../d5/d0f/class_error_module_handler.html#ac9d453621ec29ec98463c58b0fd8ba45">GetErrorHex</a>( 196607 );</div>
<div class="line"><a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>( formattedCode );</div>
<div class="line"> </div>
<div class="line">&gt;&gt; formattedCode = <span class="stringliteral">&#39;0x0002FFFF&#39;</span></div>
<div class="ttc" id="aclass_error_module_handler_html_ac9d453621ec29ec98463c58b0fd8ba45"><div class="ttname"><a href="../../d5/d0f/class_error_module_handler.html#ac9d453621ec29ec98463c58b0fd8ba45">ErrorModuleHandler::GetErrorHex</a></div><div class="ttdeci">static proto owned string GetErrorHex(int errorCode)</div><div class="ttdoc">Returns a formatted string of the error code.</div></div>
</div><!-- fragment --> </dd></dl>

</div>
</div>
<a id="a60e9aab8eff8310bb7d3675a5994334c" name="a60e9aab8eff8310bb7d3675a5994334c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60e9aab8eff8310bb7d3675a5994334c">&#9670;&#160;</a></span>GetErrorModules()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto void ErrorModuleHandler::GetErrorModules </td>
          <td>(</td>
          <td class="paramtype">notnull out <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../da/ddf/class_error_handler_module.html">ErrorHandlerModule</a> &gt;&#160;</td>
          <td class="paramname"><em>errorModules</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a91269470d3b51a9b0bb803e13e56174c" name="a91269470d3b51a9b0bb803e13e56174c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91269470d3b51a9b0bb803e13e56174c">&#9670;&#160;</a></span>GetInstance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto native <a class="el" href="../../d5/d0f/class_error_module_handler.html">ErrorModuleHandler</a> ErrorModuleHandler::GetInstance </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the EMH Instance. </p>
<dl class="section return"><dt>Returns</dt><dd><code><a class="el" href="../../d5/d0f/class_error_module_handler.html" title="The error handler itself, for managing and distributing errors to modules Manages the ErrorHandlerMod...">ErrorModuleHandler</a></code> The <a class="el" href="../../d5/d0f/class_error_module_handler.html" title="The error handler itself, for managing and distributing errors to modules Manages the ErrorHandlerMod...">ErrorModuleHandler</a> Instance </dd></dl>

</div>
</div>
<a id="a7bbc5bc4692fe15e893c8ab17204e412" name="a7bbc5bc4692fe15e893c8ab17204e412"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7bbc5bc4692fe15e893c8ab17204e412">&#9670;&#160;</a></span>GetLastClientMessage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ErrorModuleHandler::GetLastClientMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a>&#160;</td>
          <td class="paramname"><em>category</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>code</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the Client Message for specified error, while attempting to restore information on the most recent error. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">category</td><td><code>ErrorCategory</code> Category the error is thrown from </td></tr>
    <tr><td class="paramname">code</td><td><code>int</code> The code that the error belongs to inside the category between [-32768, 32767] </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>string</code> The message which would appear on Client </dd></dl>

</div>
</div>
<a id="a3fb9bff2ed943331f913c8e7e424935c" name="a3fb9bff2ed943331f913c8e7e424935c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3fb9bff2ed943331f913c8e7e424935c">&#9670;&#160;</a></span>GetLastClientMessageByCode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ErrorModuleHandler::GetLastClientMessageByCode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>errorCode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the Client Message for specified error, while attempting to restore information on the most recent error. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">errorCode</td><td><code>int</code> The full error code </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>string</code> The message which would appear on Client </dd></dl>

</div>
</div>
<a id="ac0e2c0bc356695829dff4922d3334241" name="ac0e2c0bc356695829dff4922d3334241"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0e2c0bc356695829dff4922d3334241">&#9670;&#160;</a></span>GetLastServerMessage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ErrorModuleHandler::GetLastServerMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a>&#160;</td>
          <td class="paramname"><em>category</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>code</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the Server Message for specified error, while attempting to restore information on the most recent error. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">category</td><td><code>ErrorCategory</code> Category the error is thrown from </td></tr>
    <tr><td class="paramname">code</td><td><code>int</code> The code that the error belongs to inside the category between [-32768, 32767] </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>string</code> The message which would appear on Server </dd></dl>

</div>
</div>
<a id="adeec3b4e15af697df37989236b960511" name="adeec3b4e15af697df37989236b960511"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adeec3b4e15af697df37989236b960511">&#9670;&#160;</a></span>GetLastServerMessageByCode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ErrorModuleHandler::GetLastServerMessageByCode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>errorCode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the Server Message for specified error, while attempting to restore information on the most recent error. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">errorCode</td><td><code>int</code> The full error code </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>string</code> The message which would appear on Server </dd></dl>

</div>
</div>
<a id="a6564be66aef02448de3fec534d4d213f" name="a6564be66aef02448de3fec534d4d213f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6564be66aef02448de3fec534d4d213f">&#9670;&#160;</a></span>GetServerMessage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ErrorModuleHandler::GetServerMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a>&#160;</td>
          <td class="paramname"><em>category</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>additionalInfo</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the Server Message for specified error. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">category</td><td><code>ErrorCategory</code> Category the error is thrown from </td></tr>
    <tr><td class="paramname">code</td><td><code>int</code> The code that the error belongs to inside the category between [-32768, 32767] </td></tr>
    <tr><td class="paramname">additionalInfo</td><td><code>string</code> Any additional info regarding the error, usually data </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>string</code> The message which would appear on Server </dd></dl>

</div>
</div>
<a id="ac48be238664f3e98d400233a1ce3feea" name="ac48be238664f3e98d400233a1ce3feea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac48be238664f3e98d400233a1ce3feea">&#9670;&#160;</a></span>GetServerMessageByCode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ErrorModuleHandler::GetServerMessageByCode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>errorCode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>additionalInfo</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the Server Message for specified error. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">errorCode</td><td><code>int</code> The full error code </td></tr>
    <tr><td class="paramname">additionalInfo</td><td><code>string</code> Any additional info regarding the error, usually data </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>string</code> The message which would appear on Server </dd></dl>

</div>
</div>
<a id="a1fc58451e5b54ce4eaf19ad9c288a78d" name="a1fc58451e5b54ce4eaf19ad9c288a78d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1fc58451e5b54ce4eaf19ad9c288a78d">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ErrorModuleHandler::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets called shortly after creation of <a class="el" href="../../d5/d0f/class_error_module_handler.html" title="The error handler itself, for managing and distributing errors to modules Manages the ErrorHandlerMod...">ErrorModuleHandler</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dde/_error_module_handler_8c_source.html#l00240">240</a> of file <a class="el" href="../../d5/dde/_error_module_handler_8c_source.html">ErrorModuleHandler.c</a>.</p>

</div>
</div>
<a id="a9c836fff2f9cfea9a0950dfb0897602e" name="a9c836fff2f9cfea9a0950dfb0897602e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c836fff2f9cfea9a0950dfb0897602e">&#9670;&#160;</a></span>OnEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ErrorModuleHandler::OnEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga8bb92c7c1a97bd358a549857dc2fe53c">EventType</a>&#160;</td>
          <td class="paramname"><em>eventTypeId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&#160;</td>
          <td class="paramname"><em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>is called by DayZGame to pass Events. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dde/_error_module_handler_8c_source.html#l00255">255</a> of file <a class="el" href="../../d5/dde/_error_module_handler_8c_source.html">ErrorModuleHandler.c</a>.</p>

</div>
</div>
<a id="adf6c1905db38fe2b65071200770db8fc" name="adf6c1905db38fe2b65071200770db8fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf6c1905db38fe2b65071200770db8fc">&#9670;&#160;</a></span>RemoveModule()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto <a class="el" href="../../d9/db9/classbool.html">bool</a> ErrorModuleHandler::RemoveModule </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a>&#160;</td>
          <td class="paramname"><em>category</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Removes a module handler from the <a class="el" href="../../d5/d0f/class_error_module_handler.html" title="The error handler itself, for managing and distributing errors to modules Manages the ErrorHandlerMod...">ErrorModuleHandler</a>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">category</td><td><code>ErrorCategory</code> Category the module is for </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>bool</code> Whether the removing of the module was successful or not </dd></dl>

</div>
</div>
<a id="aeaaf72dccb900c9732f746f3dcfd28d0" name="aeaaf72dccb900c9732f746f3dcfd28d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeaaf72dccb900c9732f746f3dcfd28d0">&#9670;&#160;</a></span>SafeAddModule()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ErrorModuleHandler::SafeAddModule </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../da/ddf/class_error_handler_module.html">ErrorHandlerModule</a>&#160;</td>
          <td class="paramname"><em>errorModule</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Wrapper for AddModule to give feedback whether it succeeded or not. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">errorModule</td><td><code><a class="el" href="../../da/ddf/class_error_handler_module.html" title="Definition and API of an ErrorHandlerModule - Do not insert any logic here! (as this class is not mod...">ErrorHandlerModule</a></code> The <a class="el" href="../../da/ddf/class_error_handler_module.html" title="Definition and API of an ErrorHandlerModule - Do not insert any logic here! (as this class is not mod...">ErrorHandlerModule</a> to add </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dde/_error_module_handler_8c_source.html#l00211">211</a> of file <a class="el" href="../../d5/dde/_error_module_handler_8c_source.html">ErrorModuleHandler.c</a>.</p>

</div>
</div>
<a id="ab195559d64107c015565835821876eb6" name="ab195559d64107c015565835821876eb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab195559d64107c015565835821876eb6">&#9670;&#160;</a></span>SafeRemoveModule() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ErrorModuleHandler::SafeRemoveModule </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a>&#160;</td>
          <td class="paramname"><em>category</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Wrapper for RemoveModule to give feedback whether it succeeded or not. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">category</td><td><code>ErrorCategory</code> Category to remove </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dde/_error_module_handler_8c_source.html#l00231">231</a> of file <a class="el" href="../../d5/dde/_error_module_handler_8c_source.html">ErrorModuleHandler.c</a>.</p>

</div>
</div>
<a id="a1530f72796058d9ee5676474028141e9" name="a1530f72796058d9ee5676474028141e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1530f72796058d9ee5676474028141e9">&#9670;&#160;</a></span>SafeRemoveModule() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ErrorModuleHandler::SafeRemoveModule </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../da/ddf/class_error_handler_module.html">ErrorHandlerModule</a>&#160;</td>
          <td class="paramname"><em>errorModule</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Wrapper for RemoveModule to give feedback whether it succeeded or not. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">errorModule</td><td><code><a class="el" href="../../da/ddf/class_error_handler_module.html" title="Definition and API of an ErrorHandlerModule - Do not insert any logic here! (as this class is not mod...">ErrorHandlerModule</a></code> The <a class="el" href="../../da/ddf/class_error_handler_module.html" title="Definition and API of an ErrorHandlerModule - Do not insert any logic here! (as this class is not mod...">ErrorHandlerModule</a> to add </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dde/_error_module_handler_8c_source.html#l00221">221</a> of file <a class="el" href="../../d5/dde/_error_module_handler_8c_source.html">ErrorModuleHandler.c</a>.</p>

</div>
</div>
<a id="aa99dfe677063c4a2aaeb55b743a06082" name="aa99dfe677063c4a2aaeb55b743a06082"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa99dfe677063c4a2aaeb55b743a06082">&#9670;&#160;</a></span>ThrowError()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ErrorModuleHandler::ThrowError </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a>&#160;</td>
          <td class="paramname"><em>category</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>additionalInfo</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates and throws the error code, sending it to the handler of the category. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">category</td><td><code>ErrorCategory</code> Category the error is thrown from </td></tr>
    <tr><td class="paramname">code</td><td><code>int</code> The code that the error belongs to inside the category between [-32768, 32767] </td></tr>
    <tr><td class="paramname">additionalInfo</td><td><code>string</code> Any additional info regarding the error, usually data </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>int</code> The full error code <div class="fragment"><div class="line"><span class="keywordtype">int</span> errorCode = <a class="code hl_class" href="../../d5/d0f/class_error_module_handler.html">ErrorModuleHandler</a>.<a class="code hl_function" href="../../d5/d0f/class_error_module_handler.html#aa99dfe677063c4a2aaeb55b743a06082">ThrowError</a>( <a class="code hl_enumeration" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a>.ConnectErrorClient, -1 );</div>
<div class="line"><a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>( errorCode );</div>
<div class="line"> </div>
<div class="line">&gt;&gt; errorCode = 196607</div>
<div class="ttc" id="aclass_error_module_handler_html_aa99dfe677063c4a2aaeb55b743a06082"><div class="ttname"><a href="../../d5/d0f/class_error_module_handler.html#aa99dfe677063c4a2aaeb55b743a06082">ErrorModuleHandler::ThrowError</a></div><div class="ttdeci">static proto int ThrowError(ErrorCategory category, int code, string additionalInfo=&quot;&quot;)</div><div class="ttdoc">Creates and throws the error code, sending it to the handler of the category.</div></div>
</div><!-- fragment --> </dd></dl>

</div>
</div>
<a id="a0347b2450e954120e90e12065e5951de" name="a0347b2450e954120e90e12065e5951de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0347b2450e954120e90e12065e5951de">&#9670;&#160;</a></span>ThrowErrorCode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ErrorModuleHandler::ThrowErrorCode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>errorCode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>additionalInfo</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Throws the error code and sends it to the handler of the category. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">errorCode</td><td><code>int</code> The full error code </td></tr>
    <tr><td class="paramname">additionalInfo</td><td><code>string</code> Any additional info regarding the error, usually data </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>int</code> The full error code <div class="fragment"><div class="line"><span class="keywordtype">int</span> errorCode = <a class="code hl_class" href="../../d5/d0f/class_error_module_handler.html">ErrorModuleHandler</a>.<a class="code hl_function" href="../../d5/d0f/class_error_module_handler.html#a0347b2450e954120e90e12065e5951de">ThrowErrorCode</a>( 0x0002FFFF );</div>
<div class="line"><a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>( errorCode );</div>
<div class="line"> </div>
<div class="line">&gt;&gt; errorCode = 196607</div>
<div class="ttc" id="aclass_error_module_handler_html_a0347b2450e954120e90e12065e5951de"><div class="ttname"><a href="../../d5/d0f/class_error_module_handler.html#a0347b2450e954120e90e12065e5951de">ErrorModuleHandler::ThrowErrorCode</a></div><div class="ttdeci">static proto int ThrowErrorCode(int errorCode, string additionalInfo=&quot;&quot;)</div><div class="ttdoc">Throws the error code and sends it to the handler of the category.</div></div>
</div><!-- fragment --> </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Global/ErrorModuleHandler/<a class="el" href="../../d5/dde/_error_module_handler_8c_source.html">ErrorModuleHandler.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/d0f/class_error_module_handler.html">ErrorModuleHandler</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
